/*
   This file is part of AirFart.

   AirFart is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   AirFart is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with AirFart; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <gtk/gtk.h>

#define MSG_LEN 2048
#define BUF_LEN MSG_LEN
#define BUF_LONG BUF_LEN * 2

struct general_settings_template {
        char device [128];
};
extern general_settings_template global_general_settings;

void load_prefs();
void save_prefs();
static void read_general_settings(FILE *);
static void write_general_settings(FILE *);
static struct parse *parse_line(char *, struct parse *);
static int rc_parse_tag(FILE *);
const gchar *get_home_dir();
void set_defaults();
